Last Comment Bug 823076 - Make B2G marionette-webapi a tier 1 testsuite (failure rate closer to 10% than 70%)
: Make B2G marionette-webapi a tier 1 testsuite (failure rate closer to 10% tha...
Status: RESOLVED WONTFIX
:
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 802877 813292 813305 813978 814551 817352 820739 820802 821963 823067 823082 823084 823086 823090 824045 824048 824059 824075 824079 826182 828208 829546 830632 830635 830636 830929 832661 835183 835185 835186 835540 837137 b2g-marionette 842274 842297 842543 843262 843996 845291 845625 847726 848933 849904 850182 851658 851666 852709 855265 855266 855458
Blocks: b2g-testing 859417
  Show dependency treegraph
 
Reported: 2012-12-19 08:20 PST by Ed Morley [:emorley]
Modified: 2015-04-27 14:53 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ed Morley [:emorley] 2012-12-19 08:20:59 PST
Collecting together the issues contributing to the 70%+ failure rate we're seeing at the moment.
Comment 1 Andrew Halberstadt [:ahal] 2012-12-20 08:22:13 PST
I'd like to point out that the 70% fail rate is only on m-c and aurora based branches. The mozilla-b2g18 branch is pretty stable green from what I can see.
Comment 2 Jonathan Griffin (:jgriffin) 2013-01-18 12:57:04 PST
I'm removing dependencies for disabled tests which cause them not to impact TBPL/sheriffing any longer
Comment 3 Jonathan Griffin (:jgriffin) 2013-01-28 14:50:11 PST
Nearly all the webapi issues are likely the same problem, which can be summed up as:  random tests fail after running the telephony tests.

In bug 831830 I re-ordered the tests, so that Marionette unit tests are run before the webapi tests.  Since this, there have been no failures in non-webapi tests.  I will be closing several related bugs.

I plan to file another bug to reorder to the webapi tests themselves, to see if we can get rid of some of the other intermittent failures.
Comment 4 David Burns :automatedtester 2015-04-27 14:53:18 PDT
WebAPI Tests are no longer run so am closing these as wontfix

Note You need to log in before you can comment on or make changes to this bug.